Basic Types

typedef struct ident | ident_t

## Detailed Description

Types that are used throughout the runtime.

## Typedef Documentation

typedef struct ident ident_t

The ident structure that describes a source location.

## Enumeration Type Documentation

anonymous enum

Values for bit flags used in the ident_t to describe the fields.

Enumerator
KMP_IDENT_IMB | Use trampoline for internal microtasks
KMP_IDENT_KMPC | Use c-style ident structure
KMP_IDENT_AUTOPAR | Entry point generated by auto-parallelization
KMP_IDENT_ATOMIC_REDUCE | Compiler generates atomic reduction option for kmpc_reduce*
KMP_IDENT_BARRIER_EXPL | To mark a 'barrier' directive in user code
KMP_IDENT_BARRIER_IMPL | To Mark implicit barriers.
KMP_IDENT_WORK_LOOP | To mark a static loop in OMPT callbacks
KMP_IDENT_WORK_SECTIONS | To mark a sections directive in OMPT callbacks
KMP_IDENT_WORK_DISTRIBUTE | To mark a distirbute construct in OMPT callbacks
KMP_IDENT_ATOMIC_HINT_MASK | Atomic hint; bottom four bits as omp_sync_hint_t. Top four reserved and not currently used. If one day we need more bits, then we can use an invalid combination of hints to mean that another, larger field should be used in a different flag.

Definition at line 183 of file kmp.h.